// EMC1001 teperature sensor handling routines
#include "stdint.h"
#include "I2C.h"

//conversion rates
#define Hz0_0625 0
#define Hz0_125	1
#define Hz0_25	2
#define Hz0_5	3
#define Hz1	4
#define Hz2	5
#define Hz4	6
#define Hz8	7
#define Hz16	8
#define Hz32	9

extern uint8_t EMC1001_Ini(unsigned char rate);	//set conversion rate
extern uint8_t Temperature(double *t);	//return with conversion status (ready or not), and temperature value in t

