/*
 * sys.c
 *
 *  Created on: 2023. febr. 27.
 *      Author: benes
 */
#include "clock_config.h"
#include "SysTimer.h"

volatile uint32_t g_systickCounter;

/* Set systick reload value to generate 1ms interrupt */
uint32_t  SysTickInit(uint32_t t)
{
	uint8_t err;
	err = SysTick_Config(SystemCoreClock / (1000*t));
	return(err);
}


void SysTick_Handler(void)
{
    if (g_systickCounter != 0U)
    {
        g_systickCounter--;
    }
    TimeoutExtension();
}

