/*
 * I2C.h
 *
 *  Created on: May 10, 2023
 *      Author: benes
 */

#ifndef I2C_H_
#define I2C_H_

//set as you want...
#define I2C_txBuffSize 8
#define I2C_rxBuffSize 8

static uint8_t I2C_txBuff[I2C_txBuffSize];
static uint8_t I2C_rxBuff[I2C_rxBuffSize];

extern uint8_t I2C_RegWrite(uint8_t SLA, uint8_t reg_addr, uint8_t data);
extern uint8_t I2C_SetRegAddrToRD(uint8_t SLA, uint8_t reg_addr);
extern uint8_t I2C_RegReadBuf(uint8_t SLA, uint8_t reag_addr, uint8_t * buff, uint8_t count);

#endif /* I2C_H_ */
